- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# TXPArchive.cpp File Reference

`#include <osg/Notify>`
`#include <osg/Geode>`
`#include <osg/ShapeDrawable>`
`#include <osg/AlphaFunc>`
`#include <osg/Group>`
`#include <osg/Image>`
`#include <osg/Texture2D>`
`#include <osg/Material>`
`#include <osg/TexEnv>`
`#include <osg/CullFace>`
`#include <osg/Light>`
`#include <osg/StateSet>`
`#include <osg/Point>`
`#include <osg/BlendFunc>`
`#include <osgDB/FileUtils>`
`#include <osgDB/FileNameUtils>`
`#include <osgDB/ReadFile>`
`#include <osgDB/WriteFile>`
`#include <osgSim/Sector>`
`#include <osgSim/LightPoint>`
`#include <osgSim/LightPointNode>`
`#include <osgSim/BlinkSequence>`
`#include <iostream>`
`#include <fstream>`
`#include "TXPArchive.h"`
`#include "TXPParser.h"`
`#include <OpenThreads/ScopedLock>`

Include dependency graph for TXPArchive.cpp:

## Defines
#define | TXPArchiveERROR(s) osg::notify(osg::NOTICE) << "txp::TXPArchive::" << (s) << " error: "
## Functions
void | trim (std::string &str)

## Define Documentation

#define TXPArchiveERROR | ( | s |  | ) | osg::notify(osg::NOTICE) << "txp::TXPArchive::" << (s) << " error: "

## Function Documentation

void trim | ( | std::string & | str | ) |